package dev.kske.chess.game;

import java.io.IOException;

import dev.kske.chess.board.Piece.Color;
import dev.kske.chess.uci.UCIHandle;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>UCIPlayer.java</strong><br>
 * Created: <strong>18.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class UCIPlayer extends Player {

	private UCIHandle handle;

	public UCIPlayer(Color color, String enginePath) {
		super(color);
		try {
			handle = new UCIHandle(enginePath);
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void requestMove() {

	}

	@Override
	public void cancelMove() {

	}

	public void disconnect() {
		handle.quit();
	}
}
